<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" 
      xmlns:xc="urn:xhtml-compiler"
      xmlns:news="urn:xhtml-compiler:News"
      xmlns:rss="urn:xhtml-compiler:RSSGenerator"
      xml:lang="en" lang="en">
<head>
    <title>My Blog</title>
    <link rel="alternate" type="application/rss+xml"
      title="My Blog" href="News.rss"
      rss:for="news-container"
      rss:description="News smoketest (RSS generation by RSSGenerator)" />
</head>
<body>
<h1>My Blog</h1>
<p>
  This is a news page. It displays an aggregation of all previous news
  entries. We also have RSS generation enabled.
</p>
<hr />
<p>
  Only one news entry should be shown here:
</p>
<div news:source="News" news:limit="1" news:idPrefix="single" />
<hr />
<h2>Old entries</h2>
<p>
  All news entries should be shown here, with h3 headings:
</p>
<div news:source="News" news:limit="-1" news:header="h3" id="news-container" />
</body>
</html>
